Loading...
Searching...
No Matches
proton::connect_config Namespace Reference

Unsettled API More...

## Functions

std::string | default_file ()
std::string | parse (std::istream &is, connection_options &opts)
| Parse Connection Configuration from `is` and update `opts`.
std::string | parse_default (connection_options &opts)
| Parse Connection Configuration from default_file() and update `opts`.

## Detailed Description

Unsettled API

Functions for locating and using a Connection Configuration file, or a configuration string to set connection_options

## Function Documentation

## default_file()

std::string default_file | ( |  | ) |

Returns
  name of the default Connection Configuration file.

Exceptions

  proton::error | if no default file is found

## parse()

std::string parse | ( | std::istream & | is,
|  | connection_options & | opts
| ) |  |

Parse Connection Configuration from `is` and update `opts`.

Parameters

  is | input stream for configuration file/string
  opts | [out] connection options to update

Returns
  address suitable for container::connect() from configuration

## parse_default()

std::string parse_default | ( | connection_options & | opts | ) |

Parse Connection Configuration from default_file() and update `opts`.

Parameters

  opts | [out] connection options to update

Returns
  address suitable for container::connect() from configuration